Skip to main content

Close Visiba Triage

POST /api/v1/accessControl/close​

Description​

Close Visiba Triage for incoming users. NOTE: This only affects users when configuration type OPEN is used.

Request Parameters (body)​

NameDescriptionRequiredTypeDefault Value
closedReasonReason it is being closedYesClosedReason

Response​

HTTP Status Codes​

CodeDescription
200Success, returns a AccessInfo
401Unauthorized, missing X-Red-Robin-API-Key header
403Forbidden, invalid X-Red-Robin-API-Key header
404Not found, invalid configuration

AccessInfo​

NameDescriptionTypeExample
activeActive state of accountbooleantrue
openOpen state of accountbooleanfalse
closedReason,nullAn enum describing the reason for closedClosedReason0

Enums​

ClosedReason​

String valueDescription
OtherOther reason for closed
OutsideMonitoredHoursOutside monitored hours, e.g. the queue is not currently staffed
CapLimitReachedMaximum amount of sessions reached

Example Usage​

POST /api/v1/accessControl/close
const headers = new Headers();
headers.append('X-Red-Robin-API-Key', 'API_KEY');
headers.append('Content-Type', 'application/json');

const requestOptions = {
method: 'POST',
headers: headers,
body: JSON.stringify({ ClosedReason: 0 }),
};

fetch('https://se.visibatriage.com/api/v1/accessControl/close', requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Success Response​

{
"active": true
"open": false
"closedReason": 0
}